# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from knack.help_files import helps
from mssqlctl.cli.core.deploy import get_environment_list_by_target

"""Help documentation for `control` commands."""

from knack.help_files import helps
from mssqlctl.cli.commands.control import _

helps['control'] = """
    type: group
    short-summary: {short}
""".format(short=_('Create, delete, and manage control planes.'))

helps['control create'] = """
    type: command
    short-summary: {short}
    long-summary: {long}
    examples:
        - name: {ex1}
          text: >
            azdata control create
""".format(
    short=_('Create control plane.'),
    long=_('Create control plane - kube config is required on your system along with the '
           'following environment variables {0}.'.format(get_environment_list_by_target('cluster'))),
    ex1=_('Control deployment.'))

helps['control delete'] = """
    type: command
    short-summary: {short}
    long-summary: {long}
    examples:
        - name: {ex1}
          text: >
            azdata control delete
""".format(
    short=_('Delete control plane.'),
    long=_('Delete control plane - kube config is required on your system.'
           .format(get_environment_list_by_target('cluster'))),
    ex1=_('Control deployment.'))
